## nslint 3.0a2

=== debian/changelog ===
nslint (3.0a2-3) unstable; urgency=medium

  * QA upload.
  * debian/changelog: Removed trailing whitespaces.
  * debian/control:
     - Added ${misc:Depends} to Depends.
     - Removed trailing whitespaces.
  * debian/rules: Removed trailing whitespaces.

 -- Robson Morais dos Santos <robsonmorais@hotmail.com>  Mon, 11 Dec 2023 22:09:52 -0300

nslint (3.0a2-2) unstable; urgency=medium

  * QA upload
  * Convert to 3.0 (quilt) source format
  * Update debhelper compat to 7 (Closes: #965749)
  * Add missing rules targets (Closes: #998985)
  * Drop non-functional d/watch

 -- Bastian Germann <bage@debian.org>  Thu, 18 May 2023 12:19:52 +0200

nslint (3.0a2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed bug involving -wl needing to be -Wl. (Closes: #625177)

 -- Noah Swartz <swartzcr@media.mit.edu>  Sun, 21 Aug 2011 18:55:07 -0400

nslint (3.0a2-1) unstable; urgency=low

  * new upstream version
    - add IPv6 support (closes: #535913)
  * update description (closes: #521671)
  * use upstreams install-sh now that upstream ships a sane version

 -- Sven Mueller <sven@debian.org>  Thu, 22 Oct 2009 18:27:49 +0200

nslint (2.1a9-1) unstable; urgency=low

  * new upstream version
  * remove upstreams broken install-sh link on clean and also before configure
    so that our copy (install.sh) is used

 -- Sven Mueller <sven@debian.org>  Mon, 13 Oct 2008 14:01:18 +0200

nslint (2.1a8-2) unstable; urgency=low

  * Upgrade policy
  * fix patches to work with new 3.0 (quilt) source format (Closes: #485351)

 -- Sven Mueller <sven@debian.org>  Tue, 22 Jul 2008 17:54:36 +0200

nslint (2.1a8-1) unstable; urgency=low

  * new upstream version 2.1a8
  * move from dpatch to quilt

 -- Sven Mueller <sven@debian.org>  Thu,  6 Mar 2008 15:42:37 +0100

nslint (2.1a6-6) unstable; urgency=low

  * Set section on nslint binary package
  * move packaging to debhelper. The old version is more and more
    unmaintainable for me. This also adds md5sums to the .deb.

 -- Sven Mueller <sven@debian.org>  Fri, 17 Aug 2007 17:36:25 +0200

nslint (2.1a6-5) unstable; urgency=low

  * Handle nostrip option in DEB_BUILD_OPTIONS correctly (closes: #437644)
  * Update autotools files config.guess and config.sub

 -- Sven Mueller <sven@debian.org>  Mon, 13 Aug 2007 16:19:27 +0200

nslint (2.1a6-4) unstable; urgency=low

  * Fix nslint executable permissions
  * Fix nslint.8.gz manpage permissions
  * Correct email address in changelog
  * Update standards version
  * Update config.{sub,guess}

 -- Sven Mueller <sven@debian.org>  Fri, 27 Oct 2006 16:38:08 +0200

nslint (2.1a6-3) unstable; urgency=low

  * Call /usr/bin/test explicitly where the matching "dash" built-in works
    differently. (Closes: #373242)
  * depend on autotools-dev and cleanup config.guess, config.sub in clean
    target. (This would also eliminate/hide the above bug)
  * update to current policy version

 -- Sven Mueller <debian@incase.de>  Wed, 14 Jun 2006 18:44:52 +0200

nslint (2.1a6-2) unstable; urgency=low

  * Use /etc/bind/named.conf by default if it exists (Closes: #372584)
  * Switch maintainer address to sven@debian.org

 -- Sven Mueller <sven@debian.org>  Tue, 13 Jun 2006 14:12:03 +0200

nslint (2.1a6-1) unstable; urgency=low

  * New upstream version

 -- Sven Mueller <debian@incase.de>  Tue, 25 Apr 2006 15:22:31 +0200

nslint (2.1a3-6) unstable; urgency=low

  * Comment /usr/doc/$PACKAGE removal and make the condition a bit easier to
    read (at least for me). This also removes a bash'ism.
  * Update policy version to current 3.6.2.2

 -- Sven Mueller <debian@incase.de>  Thu, 23 Mar 2006 22:18:51 +0100

nslint (2.1a3-5) unstable; urgency=low

  * Fix Build-Depends

 -- Sven Mueller <debian@incase.de>  Thu,  8 Sep 2005 18:51:53 +0200

nslint (2.1a3-4) unstable; urgency=low

  * update uscan watch file
  * Move the applied patches to use dpatch (not many of them right now, but I
    want to be prepared for necessary updates.

 -- Sven Mueller <debian@incase.de>  Tue,  5 Jul 2005 14:57:53 +0200

nslint (2.1a3-2) unstable; urgency=low

  * Remove postinst script. It used to set a /usr/doc/$PACKAGE link,
    which isn't needed and caused a lintian warning
  * Add a debian/watch file

 -- Sven Mueller <debian@incase.de>  Sun, 21 Nov 2004 23:23:03 +0100

nslint (2.1a3-1) unstable; urgency=low

  * New upstream version (closes: #163987)
  * New upstream supports bind9 TTL format (closes:#158925)
  * Update config.guess/config.sub
  * New package maintainer after consulting original maintainer

 -- Sven Mueller <debian@incase.de>  Wed, 10 Nov 2004 12:38:35 +0100

nslint (2.0.1-1) unstable; urgency=low

  * New upstream version.
  * Add section and priority fields in the deb.
  * Made sure to install files with the right mode.
  * Rewrite debian/rules to get rid of debstd (yuck!)
  * Upgrade policy from 2.4.0 to 3.2.1: FHS, build-deps (none),
    /usr/doc compability
  * Use /etc/bind/named.conf, closes: #75981.

 -- Tommi Virtanen <tv@debian.org>  Wed,  1 Nov 2000 01:01:16 +0200

nslint (2.0a5-1) unstable; urgency=low

  * Changed install -m modes from 555 and 444 to 755 and 644.
  * Initial Release.

 -- Tommi Virtanen <tv@debian.org>  Sat, 16 May 1998 10:08:31 +0300
