=== debian/control ===
Source: nslint
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), autotools-dev
Standards-Version: 3.8.3

Package: nslint
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: bind
Description: Lint for DNS files, checks integrity
 Nslint reads the nameserver configuration files and performs a
 number of consistency checks on the DNS records.
 .
 Nslint understands both ancient style named.boot and BIND 8's
 named.conf files (which are also used by BIND 9).
