=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

DOCDIR:=`pwd`/debian/nslint/usr/share/doc/$(PACKAGE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-arch
configure-arch:
	dh_testdir
	test -e debian/control
	/usr/bin/test config.guess -nt /usr/share/misc/config.guess || cp /usr/share/misc/config.guess .
	/usr/bin/test config.sub -nt /usr/share/misc/config.sub || cp /usr/share/misc/config.sub .
	if [ ! -x install-sh ]; then chmod +x install-sh ; fi
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=/usr/share/man CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
	touch $@


build: build-arch build-indep
build-arch: configure-arch
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch configure-arch
	[ ! -f Makefile ] || $(MAKE) distclean
	-rm -f config.cache gnuc.h
	-rm -f config.guess config.sub
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_installdirs

	# Add here commands to install the package into debian/nslint.
	$(MAKE) install \
		prefix="`pwd`/debian/nslint/usr" \
		MANDEST="`pwd`/debian/nslint/usr/share/man"


# Build architecture-independent files here.
build-indep:
binary-indep: build-indep install

# Build architecture-dependent files here.
binary-arch: build-arch install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs README
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build-indep build clean binary-indep binary-arch binary install
