## nslint 3.2

=== debian/changelog ===
nslint (3.2-6) unstable; urgency=medium

  * QA upload.
  * Fix Makefile.in for "Rules-Requires-Root: no" (Closes: #1089402)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 09 Dec 2024 15:15:49 +0100

nslint (3.2-5) unstable; urgency=medium

  * QA upload.

  * Added 90-larger-buffers.patch to extend buffers avoiding
    possible buffer overrun.
  * Extend autopkgtest to trigger warning of doubly booked address.
  * Corrected address sorting for locating duplications. (Closes: #1078371)

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 15 Aug 2024 16:29:30 +0200

nslint (3.2-4) unstable; urgency=medium

  * QA upload.

  * Corrected autopkgtest and use it at build time to ensure
    binary is working.
  * Added 80-unknown-family-abort.patch with better error reporting
    when aborting on s390x.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 10 Aug 2024 07:35:27 +0200

nslint (3.2-3) unstable; urgency=medium

  * QA upload.

  * Corrected autopkgtest, move to correct working directory.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 09 Aug 2024 11:56:03 +0200

nslint (3.2-2) unstable; urgency=medium

  * QA upload.

  * Allow _ in TXT and SRV records (Closes: #763500).
  * Accept and ignore SSHFP and LOC entries (Closes: #841179).
  * Added autopkgtest validating zone file success and error.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 08 Aug 2024 06:53:21 +0200

nslint (3.2-1) unstable; urgency=medium

  * QA upload.

  * New upstream version 3.2
    - Refresh patches for new upstream release.
  * Added d/watch pointing to the latest upstream version.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 20 May 2024 22:37:27 +0200

nslint (3.0a2-4) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.8.3 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Bump debhelper from deprecated 7 to 10.
  * Moved to debhelper level 13 and simple dh d/rules with hardening.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 20 May 2024 08:30:40 +0200
