=== debian/control ===
Source: nslint
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/nslint
Vcs-Git: https://salsa.debian.org/debian/nslint.git

Package: nslint
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Suggests: bind,
Description: Lint for DNS files, checks integrity
 Nslint reads the nameserver configuration files and performs a
 number of consistency checks on the DNS records.
 .
 Nslint understands both ancient style named.boot and BIND 8's
 named.conf files (which are also used by BIND 9).
