=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_install:
	install -d "$(CURDIR)/debian/nslint/usr/share/man/man8"
	dh_auto_install -- MANDEST="/usr/share/man"

override_dh_auto_test:
	NSLINT=$(CURDIR)/nslint debian/tests/validate-bind-zones
