=== debian/tests/control ===
Tests: validate-bind-zones
Depends: @
