=== debian/watch ===
version=4
ftp://ftp.ee.lbl.gov/nslint-(.*).tar.gz
